Skip to content

AcsGlobal⁠

Perform various operations for Symitar parameters.

Operations⁠

getAcsGlobalSelectFields⁠

POST

Execute the persistent ParameterService getAcsGlobalSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getAcsGlobalSelectFields
POST /nexum/627/persistent/parameter/getAcsGlobalSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllAcsGlobalFields": true,
    "AcsGlobalFields": {
      "AcsAccountManagerEnable": true,
      "AcsTellerTranEnable": true,
      "CreditReportExpireDays": true,
      "SecuredLoanTypeList": true,
      "UnsecuredLoanTypeList": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateAcsGlobalByID⁠

POST

Execute the persistent ParameterService updateAcsGlobalByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateAcsGlobalByID
POST /nexum/627/persistent/parameter/updateAcsGlobalByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "AcsGlobalFields": {
    "AcsAccountManagerEnable": true,
    "AcsTellerTranEnable": true,
    "CreditReportExpireDays": 0,
    "SecuredLoanTypeList": "string",
    "UnsecuredLoanTypeList": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}